ALTER FUNCTION dbo.MEDWEB_GECMISTETKIKTEST(@TETKIKID int) 
RETURNS @retGecmisTetkikTest TABLE 
(	ISLEMADI nvarchar(150),
	TESTADI nvarchar(150),
	OLCUM nvarchar(50),
	SONUCR float,
	BIRIM nvarchar(50),
	SONUCY nvarchar(150),
	MIND float,
	MIND2 float,
	MAXD float,
	MAXD2 float,
	NUMUNETURADI nvarchar(50),
	TESTORNEKTIPI nvarchar(50),
	TETKIKTURADI nvarchar(50),
	SIRANO SMALLint,
	EK1 nvarchar(1000),
	UYARIISRT nvarchar(10),	
	REFD nvarchar(50),
	REFD2 nvarchar(50),
	ORNEKID float,
	LTCKIMLIKNO nvarchar(25),
	LADISOYADI nvarchar(75),
	LDTARIHI datetime,
	LHYASI int,
	HCINSIYETI nvarchar(5),
	HDOSYAID nvarchar(50),
	LBOLUM nvarchar(50),
	LDOKTOR nvarchar(50),
	ITARIH datetime,
	ORNEKTARIHI datetime,
	KABULTARIH datetime,
	CALBITISZAMANI datetime,
	ONAYZAMANI datetime,
	LUYGDRADI nvarchar(50),
	UYGDRUNVAN nvarchar(50),
	UYGDRUZMANLIKADI nvarchar(100),
	HKIMLIKID int)
AS
BEGIN
	INSERT INTO @retGecmisTetkikTest
	SELECT	TST.ITEMADI, TST.TESTADI, TST.OLCUM, TST.SONUCR, TST.BIRIM, TST.SONUCY, TST.MIND, 
			TST.MIND2, TST.MAXD, TST.MAXD2, TST.NUMUNETURADI, TST.TESTORNEKTIPI,
			TST.TETKIKTURADI, TST.SIRANO, TST.EK1, TST.UYARIISRT, TST.REFD, TST.REFD2, TST.ORNEKID,
			T.LTCKIMLIKNO, T.LADISOYADI, T.LDTARIHI, T.LHYASI, T.HCINSIYETI, 
			T.HDOSYAID, T.LBOLUM, T.LDOKTOR, T.ITARIH, T.ORNEKTARIHI, T.KABULTARIH, T.CALBITISZAMANI, 
			T.ONAYZAMANI, T.LUYGDRADI, T.UYGDRUNVAN, T.UYGDRUZMANLIKADI,T.HKIMLIKID
	FROM VWTETKIKTEST TST JOIN VWTETKIK T ON T.HTETKIKID = TST.HTETKIKID 
	WHERE TST.HTETKIKID  = @TETKIKID AND RAPORDAgoRUNSUN = 1 AND T.WEBgoRUNSUN=1
    RETURN
END
go
